From af2d6d6dba7d44244abfb2eb513d123296297d3d Mon Sep 17 00:00:00 2001
From: Azhar Momin <azhar-momin@outlook.com>
Date: Wed, 18 Jun 2025 11:14:10 +0530
Subject: [PATCH] [ECMGenerateQDoc] Make QtTools optional

---
 modules/ECMGenerateQDoc.cmake | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

diff --git a/modules/ECMGenerateQDoc.cmake b/modules/ECMGenerateQDoc.cmake
index b6d64783..68c57050 100644
--- a/modules/ECMGenerateQDoc.cmake
+++ b/modules/ECMGenerateQDoc.cmake
@@ -55,8 +55,13 @@ add_custom_target(generate_qch)
 add_custom_target(install_qch_docs)
 
 function(ecm_generate_qdoc target qdocconf_file)
-    find_package(Qt6Tools CONFIG REQUIRED)
-    find_package(Qt6 COMPONENTS ToolsTools CONFIG REQUIRED)
+    find_package(Qt6Tools CONFIG QUIET)
+    find_package(Qt6 OPTIONAL_COMPONENTS ToolsTools CONFIG QUIET)
+
+    if (NOT Qt6Tools_FOUND OR NOT Qt6ToolsTools_FOUND)
+        message(STATUS "Qt6Tools or Qt6ToolsTools not found, not generating API documentation")
+        return()
+    endif()
 
     if (NOT TARGET ${target})
         message(FATAL_ERROR "${target} is not a target")
-- 
GitLab

